$(function () {
    PageLoadTrees();
    $("#myPageAlert").hide();
    $(".loadingcover").hide();
    $(".loading").hide();
});
//修改密码验证
function CheckOut() {
    var ObjOldPwd = $("#OldPwd");
    var ObjNewPwd = $("#NewPwd");
    var ObjConfirmPwd = $("#ConfirmPwd");
    if (ObjOldPwd.val().length == 0) {
        ShowError("myPageAlert", "请输入原密码！");
        ObjOldPwd.focus();
        return false;
    }
    ObjNewPwd.val($.trim(ObjNewPwd.val()));//新密码
    if (ObjNewPwd.val().length < 6) {
      
        ShowError("myPageAlert", "新密码必须是6-30长度的字符！");
        ObjNewPwd.focus();
        return false;
    }
    ObjConfirmPwd.val($.trim(ObjConfirmPwd.val()));//确认新密码
    if (ObjNewPwd.val().length == 0) {
        ShowError("myPageAlert", "请输入新密码！");
        ObjNewPwd.focus();
        return false;
    }
    else if (ObjConfirmPwd.val().length == 0) {
        ShowError("myPageAlert", "请确认新密码！");
        ObjConfirmPwd.focus();
        return false;
    }
    else if (ObjNewPwd.val() != ObjConfirmPwd.val()) {
        $("#NewPwd").val("");
        $("#ConfirmPwd").val("");
        ShowError("myPageAlert", "两次新密码输入不一致,请重新输入！");
        return false;
    }
    return true;
}

//密码修改
function UpdatePwd() {
    var ObjNewPwd = $("#NewPwd");
    ObjNewPwd.val($.trim(Canceller(ObjNewPwd.val())));
    if (CheckOut() == true) {
        $(".loading").show();
        $(".loadingcover").show();
        var strParaJson = $.toJSON({
            oldpwd:$("#OldPwd").val(),
            newpwd: ObjNewPwd.val()
        });
        manageObj.updateuserpwd(strParaJson);
    }
}

//修改密码回调方法
function AsyncUpdateUserPWDResult(jsonResult) {
    if (jsonResult.success) {
        $("#OldPwd").val("");
        $("#NewPwd").val("");
        $("#ConfirmPwd").val("");
        ShowMsg("myPageAlert", "操作成功！");
    }
    else {
        if (jsonResult.error.indexOf("oldpwd") > 0) {
            ShowError("myPageAlert", "原密码输入错误！");
        } else {
            ShowError("myPageAlert", "操作失败：" + jsonResult.error);
        }        
    }
    $(".loadingcover").hide();
    $(".loading").hide();
}



function PageLoadTrees() {
    $(".left-list-l").css({
        height: $(window).height() - 40
    });

    $(".talklist-m").css({
        height: $(window).height() - 130
    });
    $("#right").css({
        height: $(window).height() - 40
    });
    $("#left").css({
        height: $(window).height() - 40
    });

    initTree();
}
$(window).resize(function () {
    PageLoadTrees();
});